package apache2 2.4.27-2ubuntu4.1 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 127

Bug #1773629 reported by Sklyarov Yurii on 2018-05-27
34
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apache2 (Ubuntu)
Undecided
Unassigned

Bug Description

1

ProblemType: Package
DistroRelease: Ubuntu 17.10
Package: apache2 2.4.27-2ubuntu4.1
ProcVersionSignature: Ubuntu 4.13.0-41.46-generic 4.13.16
Uname: Linux 4.13.0-41-generic x86_64
Apache2ConfdDirListing: False
ApportVersion: 2.20.7-0ubuntu3.8
AptOrdering:
 firefox:amd64: Install
 NULL: ConfigurePending
Architecture: amd64
Date: Sun May 27 10:55:53 2018
ErrorMessage: подпроцесс установлен сценарий post-installation возвратил код ошибки 127
Python3Details: /usr/bin/python3.6, Python 3.6.3, python3-minimal, 3.6.3-0ubuntu2
PythonDetails: /usr/bin/python2.7, Python 2.7.14, python-minimal, 2.7.14-2ubuntu1
RelatedPackageVersions:
 dpkg 1.18.24ubuntu1
 apt 1.5.1
SourcePackage: apache2
Title: package apache2 2.4.27-2ubuntu4.1 failed to install/upgrade: подпроцесс установлен сценарий post-installation возвратил код ошибки 127
UpgradeStatus: Upgraded to artful on 2018-03-05 (82 days ago)
error.log:
 [Sun May 27 00:05:49.995640 2018] [mpm_prefork:notice] [pid 1659] AH00163: Apache/2.4.27 (Ubuntu) configured -- resuming normal operations
 [Sun May 27 00:05:49.995662 2018] [core:notice] [pid 1659] AH00094: Command line: '/usr/sbin/apache2'
 [Sun May 27 03:13:12.098385 2018] [mpm_prefork:notice] [pid 1659] AH00169: caught SIGTERM, shutting down
 [Sun May 27 10:54:33.633265 2018] [mpm_prefork:notice] [pid 1657] AH00163: Apache/2.4.27 (Ubuntu) configured -- resuming normal operations
 [Sun May 27 10:54:34.114078 2018] [core:notice] [pid 1657] AH00094: Command line: '/usr/sbin/apache2'

Sklyarov Yurii (s2y) wrote :
Andreas Hasenack (ahasenack) wrote :

/var/lib/dpkg/info/apache2.postinst: line 341: update-rc.d: command not found
dpkg: error while processing the apache2 (--configure) package:
  subprocess installed post-installation script returned error code 127

You seem to have a broken system, because that command is very basic and must be installed.

You could try this to attempt to fix it:

sudo apt update
sudo apt install init-system-helpers

If that fails or refuses to run, try:
sudo apt update
sudo apt -f install

And then:
sudo apt install init-system-helpers

This other bit of your log isn't encouraging either:
(Reading the database ...
dpkg: Warning: there is no list of files in the "mysql-server" package; assume that at the moment the package has no installed files
dpkg: Warning: the list of files in the package "mysql-server-core-5.7" is missing; assume that at the moment the package has no installed files

Changed in apache2 (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for apache2 (Ubuntu) because there has been no activity for 60 days.]

Changed in apache2 (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers